Module gengeo :: Class CircMNTable3D

[hide private]
[frames] | no frames]

# Class CircMNTable3D

     object --+
              |
    ??.instance --+
                  |
          MNTable3D --+
                      |
                     CircMNTable3D

Known Subclasses:
  - FullCircMNTable3D

A multi-group neighbours table for constructing 3D particle setups with circular boundary conditions in the X-direction.

Instance Methods | [hide private]

__init__(...) Constructs a neighbours table with specified bounds, cell size and initial number of particle groups. |

__str__(...) str(x) |

void

generateBonds(...) Generates bonds between particle pairs separated by less than the specified tolerance |

generateClusterBonds(...) Generates bonds with tag `Tag1` within clusters and `Tag2` between clusters |

double

getSumVolume(...) Returns the sum of the particle volumes in the specified group. |

void

tagParticlesAlongPlane(...) Assigns the specified tag to all particles from group `groupID` that lie within the specified distance of the given plane. |

void

write(...) Writes the particle assembly and bonding information to the specified file using the specified output style (0: debug; 1: geo; 2: vtk) |

Inherited from `MNTable3D`: `GrowNGroups`, `__reduce__`, `generateBondsTagged`, `generateBondsWithJointSet`, `generateRandomBonds`, `getSphereListDist`, `getSphereListFromGroup`, `insert`, `insertBond`, `insertFromRawFile`, `removeParticlesInGroup`, `removeParticlesInVolume`, `removeParticlesWithTag`, `removeTaggedParticles`, `renumberParticlesContinuous`, `setOutputPrecision`, `tagParticlesAlongJoints`, `tagParticlesAlongPlaneWithMask`, `tagParticlesInGroup`, `tagParticlesInSphere`, `tagParticlesInVolume`, `tagParticlesToClosest`, `tagParticlesToClosestAnisotropic`

Inherited from `unreachable.instance`: `__new__`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `176`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Constructs a neighbours table with specified bounds, cell size and initial number of particle groups.

Parameters:
  - `minPoint` (Vector3) - lower-left point of the particle region
  - `maxPoint` (Vector3) - upper-right point of the particle region
  - `gridSize` (double) - the cell size for neighbour searches
  - `numGroups` (unsigned int) - the initial number of groups
Overrides: object.__init__

### __str__(...)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

### generateBonds(...)

Generates bonds between particle pairs separated by less than the specified tolerance

Parameters:
  - `groupID` (int) - the group ID of particles to bond together (default: 0)
  - `tolerance` (double) - maximum distance separating bonded particles
  - `bondID` (int) - the bond ID to assign generated bonds
Returns: void
Overrides: MNTable3D.generateBonds

### generateClusterBonds(...)

Generates bonds with tag `Tag1` within clusters and `Tag2` between clusters

Parameters:
  - `groupID` - the group ID of particles to bond together (default: 0)
  - `tolerance` - maximum distance separating bonded particles
  - `bondTag1` - the bond tag to assign for bonds joining particles of the same tag
  - `bondTag2` - the bond tag to assign for bonds joining particles of differing tag
Overrides: MNTable3D.generateClusterBonds

### getSumVolume(...)

Returns the sum of the particle volumes in the specified group.

Parameters:
  - `groupID` (int) - the group ID of particles whose volume is summed (default: 0).
Returns: double
Overrides: MNTable3D.getSumVolume

### tagParticlesAlongPlane(...)

Assigns the specified tag to all particles from group `groupID` that lie within the specified distance of the given plane.

Parameters:
  - `plane` (Plane) - the plane along which to tag particles
  - `distance` (double) - the maximum distance between tagged particles and the plane
  - `tag` (int) - the tag to assign particles
  - `groupID` (unsigned int) - the group ID of particles to tag (default: 0)
Returns: void
Overrides: MNTable3D.tagParticlesAlongPlane

### write(...)

Writes the particle assembly and bonding information to the specified file using the specified output style (0: debug; 1: geo; 2: vtk)

Parameters:
  - `fileName` (string) - the name of the file to write
  - `outputStyle` (int) - output style (0: debug; 1: geo; 2: vtk)
Returns: void
Overrides: MNTable3D.write